
AC_DEFUN(AC_PATH_VRNA,
[echo $ac_n "searching for ViennaRNA headers ... "
if test -z "$ac_VRNA_includes"; then
AC_TRY_CPP([#include "part_func.h"],
[# We can compile using VRNA headers with no special include directory.
ac_VRNA_includes=],
[# Look for the header file in a standard set of common directories.
  for ac_dir in               \
    /usr/local/include        \
    /usr/local/include/ViennaRNA  \
    /usr/include/ViennaRNA    \
    /usr/local/ViennaRNA/H    \
    /usr/local/share/ViennaRNA/include \
    /opt/ViennaRNA/include \
    ;\
  do
    if test -r "$ac_dir/part_func.h"; then
      ac_VRNA_includes=$ac_dir
      break
    fi
  done])
fi
if test $ac_VRNA_includes; then
  CPPFLAGS="$CPPFLAGS -I$ac_VRNA_includes"
  echo $ac_n "$ac_VRNA_includes " 
fi

if test -z "$ac_VRNA_lib"; then
for ac_dir in `echo "$ac_VRNA_includes" | sed s/include/lib/` \
    /usr/local/lib \
    ; \
do
dnl Don't even attempt the hair of trying to link a program!
  for ac_extension in a so sl; do
    if test -r $ac_dir/libRNA.$ac_extension; then
      ac_VRNA_lib=$ac_dir
      break 2
    fi
  done
done
fi # $ac_VRNA_lib = NO
if test $ac_VRNA_lib; then
  LIBS="$LIBS -L$ac_VRNA_lib"
fi
echo " and library... $ac_VRNA_lib"
])
